### Method

# Gio DtlsConnection set_rehandshake_mode

deprecated: 2.60. since: 2.48

#### Declaration

    void
    g_dtls_connection_set_rehandshake_mode (
      GDtlsConnection* conn,
      GTlsRehandshakeMode mode
    )

#### Description

Since GLib 2.64, changing the rehandshake mode is no longer supported and will have no effect. With TLS 1.3, rehandshaking has been removed from the TLS protocol, replaced by separate post-handshake authentication and rekey operations.

Available since: 2.48

Deprecated since: 2.60.

Changing the rehandshake mode is no longer required for compatibility. Also, rehandshaking has been removed from the TLS protocol in TLS 1.3.

Sets property | `Gio.DtlsConnection:rehandshake-mode`

#### Parameters

`mode`

  Type: `GTlsRehandshakeMode`

  The rehandshaking mode.